Index: doc/CODING-GUIDELINES
===================================================================
--- doc/CODING-GUIDELINES	(revision 204382)
+++ doc/CODING-GUIDELINES	(working copy)
@@ -588,6 +588,11 @@
 use the \internal modifier to ensure that the resulting documentation
 explicitly says 'for internal use only'.
 
+When adding new API you should also attach a \since note because this will 
+indicate to developers that this API did not exist before this version, it 
+also has the benifit of making the resulting html documentation to group 
+the changes for a single version.
+
 Structures should be documented as follows.
 
 /*!
